#!/bin/sh

export SCRIPTBASENAME=$1
export PLUGINID=de.hdm_stuttgart.mi.$1

#
#Eclipsedoc related plugin parameters
#
export PPARAM='-p eclipse.plugin.name $1 -p eclipse.plugin.provider MartinGoik'

export BUILDROOT=/tmp

export BUILDBASE=$BUILDROOT/$SCRIPTBASENAME
export BUILDNAVI=$BUILDBASE/navi/$PLUGINID

saxon9he-xslt -s:$SCRIPTBASENAME.xml -xi:on -xsl:../Xsl/docbook2docbook.xsl >  ${SCRIPTBASENAME}.answer.xml
/usr/share/xmlmind.goik/bin/xxetool convert -p eclipse.plugin.id  $PLUGINID $PPARAM db5.toEclipseHelp  ${SCRIPTBASENAME}.answer.xml -u $BUILDNAVI

#end
